Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vis.beans.editors
Class EnumEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--vis.beans.editors.EnumEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

public class EnumEditor
extends java.beans.PropertyEditorSupport

Constructor Summary
`EnumEditor()`

Method Summary
`java.lang.String` | `getAsText()`
`java.lang.String[]` | `getTags()`
`java.lang.Object` | `getValue()`
`void` | `setAsText(java.lang.String txt)`
`void` | `setValue(java.lang.Object val)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, isPaintable, paintValue, removePropertyChangeListener, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumEditor

    public EnumEditor()

Method Detail

### getTags

    public java.lang.String[] getTags()

  Overrides:
    `getTags` in class `java.beans.PropertyEditorSupport`
  Returns:
    tags the tags.

### setValue

    public void setValue(java.lang.Object val)

  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`
  Returns:
    val value of the property as an Object

### setAsText

    public void setAsText(java.lang.String txt)

  Overrides:
    `setAsText` in class `java.beans.PropertyEditorSupport`
  Parameters:
    `txt` - the text value of the property.

### getAsText

    public java.lang.String getAsText()

  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`
  Returns:
    stringValue the text value of the property.

### getValue

    public java.lang.Object getValue()

  Overrides:
    `getValue` in class `java.beans.PropertyEditorSupport`
  Returns:
    newValue the value of the property as an Object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD